<html>
<head>
<title>OGRE: Ogre::CompositionTechnique::TextureDefinition Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>::<a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">TextureDefinition</a></div>
<h1>Ogre::CompositionTechnique::TextureDefinition Class Reference</h1><!-- doxytag: class="Ogre::CompositionTechnique::TextureDefinition" -->Local texture definition.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositionTechnique_1_1TextureDefinition-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#7e371a5590972522e7f8024295bb8a59">TextureDefinition</a> ()</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#23d1b9553769ca1f4e47175a567fcf0c">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a539594db7744f2fb7ddb4ffb6a052e4">width</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#711800ff7a4a331a01f05061c4e7950d">height</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#988ffc07853617b398c2dcbc0f96f312">format</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Local texture definition. 
<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00046">46</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="7e371a5590972522e7f8024295bb8a59"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::TextureDefinition" ref="7e371a5590972522e7f8024295bb8a59" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositionTechnique::TextureDefinition::TextureDefinition           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00054">54</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="23d1b9553769ca1f4e47175a567fcf0c"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::name" ref="23d1b9553769ca1f4e47175a567fcf0c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#23d1b9553769ca1f4e47175a567fcf0c">Ogre::CompositionTechnique::TextureDefinition::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00049">49</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a539594db7744f2fb7ddb4ffb6a052e4"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::width" ref="a539594db7744f2fb7ddb4ffb6a052e4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a539594db7744f2fb7ddb4ffb6a052e4">Ogre::CompositionTechnique::TextureDefinition::width</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00050">50</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="711800ff7a4a331a01f05061c4e7950d"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::height" ref="711800ff7a4a331a01f05061c4e7950d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#711800ff7a4a331a01f05061c4e7950d">Ogre::CompositionTechnique::TextureDefinition::height</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00051">51</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="988ffc07853617b398c2dcbc0f96f312"></a><!-- doxytag: member="Ogre::CompositionTechnique::TextureDefinition::format" ref="988ffc07853617b398c2dcbc0f96f312" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#988ffc07853617b398c2dcbc0f96f312">Ogre::CompositionTechnique::TextureDefinition::format</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositionTechnique_8h-source.html#l00052">52</a> of file <a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTechnique_8h-source.html">OgreCompositionTechnique.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:23 2008
</p>
</body>
</html>
